Bug 102024 - cmpci sound module lacks microphone gain functionality
cmpci sound module lacks microphone gain functionality
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 18:53 EDT by P. Beltrani
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add mic gain functionality (1.97 KB, patch)
2003-08-08 18:54 EDT, P. Beltrani
no flags Details | Diff

  None (edit)
Description P. Beltrani 2003-08-08 18:53:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
The C-Media CM8x38 chips have a microphone gain bit that activates a microphone
preamp feature.  (See the CMI8338 Specs regarding the MICGAINZ bit.)

This bit is not set by the current driver.  As a result, many microphones can
not be used successfully with this driver/chipset combination.

Attached is a patch to the module that allows this bit to be set via the module
parameter "micgain".



Version-Release number of selected component (if applicable):
kernel-2.4.20-19.9

How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
    

Additional info:
Comment 1 P. Beltrani 2003-08-08 18:54:58 EDT
Created attachment 93541 [details]
Patch to add mic gain functionality
Comment 2 Bugzilla owner 2004-09-30 11:41:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.